#pragma once

#include "BlocksDoc.h"
#include "afxcmn.h"

// CBlocksToolBar dialog

class CBlocksToolBar : public CDialog
{
	DECLARE_DYNAMIC(CBlocksToolBar)

private:
	CBlocksDoc *m_pBlocksDoc;

public:
	CBlocksToolBar(CWnd* pParent = NULL);   // standard constructor
	virtual ~CBlocksToolBar();

// Dialog Data
	enum { IDD = IDD_BLOCKSTOOLBAR };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	virtual BOOL OnInitDialog();
private:
	BOOL LoadTreeCtrl();
	BOOL LoadListHeader();

	CTreeCtrl m_wndTreeCtrl;
	CListCtrl m_wndListCtrl;

	UINT m_nClipboardFormat;

	BOOL UpdateSubTree(HTREEITEM hParent, CBlockDirectory* pDir);
public:
	afx_msg void OnTvnSelchangedTree1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnLvnBegindragList1(NMHDR *pNMHDR, LRESULT *pResult);
//	afx_msg void OnLvnGetdispinfoList1(NMHDR *pNMHDR, LRESULT *pResult);
//	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
};
